%define upstream_name    POSIX-Regex
%define upstream_version 1.0003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Port of the glibc gnu regex engine into perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POSIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Constant)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This is a port of the glibc gnu regex engine into perl.  There are few reasons
you would need this.  The few I can think of include:

0) You wish to use untrusted user expressions in such a way as to be able to
catch errors.  Example:  eval { alarm 2;  m/((){1024}){1024}/ } is an instant
uncatchable segmentation fault.  GNU's regexps will still fail, but in a timeout
way rather than an instant segfault way.

1) You wish to have POSIX compliance on ... something ...  Perl's regexps are
slightly different -- arguably better, but different.


( ... if you think of anything else, let me know, since reason 0 evaporates under 5.9.3+ ... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.0.300-13.mga8
+ Revision: 1595142
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.0.300-12.mga8
+ Revision: 1530016
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.0.300-11.mga8
+ Revision: 1433877
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.300-10.mga7
+ Revision: 1293642
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.0.300-9.mga7
+ Revision: 1249865
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.0.300-8.mga7
+ Revision: 1166314
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.0.300-7.mga7
+ Revision: 1149110
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.0.300-6.mga7
+ Revision: 1127643
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.0.300-5.mga6
+ Revision: 1032640
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.300-4.mga6
+ Revision: 957887
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.0.300-3.mga6
+ Revision: 845142
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.0.300-2.mga6
+ Revision: 841787
- Rebuild for perl 5.22

* Mon Oct 20 2014 pterjan <pterjan> 1.0.300-1.mga5
+ Revision: 792013
- Fix summary and description
- imported package perl-POSIX-Regex


* Sun Oct 19 2014 cpan2dist 1.0003-1mga
- initial mageia release, generated with cpan2dist
